## org.apache.mahout.utils.vectors.arff
Enum ARFFType

    java.lang.Object
      java.lang.Enum<ARFFType>
          org.apache.mahout.utils.vectors.arff.ARFFType

All Implemented Interfaces:
  Serializable, Comparable<ARFFType>

    public enum ARFFType

extends Enum<ARFFType>

Enum Constant Summary
`DATE`
`INTEGER`
`NOMINAL`
`NUMERIC`
`REAL`
`STRING`

Method Summary
`String` `getIndicator()`
`String` `getLabel(String line)`
`static String` `removeQuotes(String str)` Remove quotes and leading/trailing whitespace from a single or double quoted string
`static ARFFType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ARFFType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NUMERIC

    public static final ARFFType NUMERIC

### INTEGER

    public static final ARFFType INTEGER

### REAL

    public static final ARFFType REAL

### NOMINAL

    public static final ARFFType NOMINAL

### DATE

    public static final ARFFType DATE

### STRING

    public static final ARFFType STRING

Method Detail

### values

    public static ARFFType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ARFFType c : ARFFType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ARFFType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getIndicator

    public String getIndicator()

### getLabel

    public String getLabel(String line)

### removeQuotes

    public static String removeQuotes(String str)

  Remove quotes and leading/trailing whitespace from a single or double quoted string

  Parameters:
    `str` - quotes from
  Returns:
    A string without quotes

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.